aboutsummaryrefslogtreecommitdiffstats
path: root/.travis/downstream.d/urllib3.sh
diff options
context:
space:
mode:
Diffstat (limited to '.travis/downstream.d/urllib3.sh')
-rwxr-xr-x.travis/downstream.d/urllib3.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/.travis/downstream.d/urllib3.sh b/.travis/downstream.d/urllib3.sh
new file mode 100755
index 00000000..8442d1e7
--- /dev/null
+++ b/.travis/downstream.d/urllib3.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+case "${1}" in
+ install)
+ git clone --depth 1 https://github.com/shazow/urllib3
+ cd urllib3
+ pip install -r ./dev-requirements.txt
+ pip install -e ".[socks]"
+ ;;
+ run)
+ cd urllib3
+ pytest test
+ ;;
+ *)
+ exit 1
+ ;;
+esac